#!/bin/bash
echo ""
echo "Building with MPC with GNU compilers"
echo "===================================="
which mpc_cc
if [ $? == 1 ]; then
  echo "ERROR: MPC MPI is not in your path."
  echo "Please load the MPC mpi module and retry."
  exit 1;
fi
make clean
cm=`which mpc_compiler_manager`
if [ -x ${cm} ]; then
  comp=`mpc_compiler_manager list c | grep -i GNU | grep OK | awk '{ print $9; }'`
  echo "Using compiler = $comp"
  mpc_compiler_manager set_default c ${comp}
  echo " "
  echo " "
  echo "Using mpc_cc which internally calls GNU: mpc_cc -show"
  mpc_cc -show
  echo "========================================================"
fi


make MPICC=mpc_cc CC=mpc_c -C mpi -f Makefile.gnu


/bin/rm -f out.mpc_gnu.txt 
./run.mpc.sh | tee out.mpc_gnu.txt
