#!/bin/bash
echo ""
echo "Building with MPC with Intel compilers"
echo "===================================="
which mpc_cc

if [ $? == 1 ]; then
  echo "ERROR: MPC MPI is not in your path."
  echo "Please load the MPC mpi module and retry."
  exit 1;
fi
make clean
cm=`which mpc_compiler_manager`
if [ -x ${cm} ]; then
  comp=`mpc_compiler_manager list c | grep -i intel | grep OK | awk '{ print $9; }'`
  echo "Using compiler = $comp"
  mpc_compiler_manager set_default c ${comp}
  echo " "
  echo " "
  echo "Using mpc_cc which internally calls Intel icc: mpc_cc -show"
  mpc_cc -show
  echo "================================"
fi

make MPICC=mpc_cc CC=mpc_cc -C mpi -f Makefile.intel


/bin/rm -f out.mpc_intel.txt 
./run.mpc.sh | tee out.mpc_intel.txt
